# Install dnf daily drivers
- name: Ensure daily-driver (development, work, gaming) installed
  dnf:
    name: 
    - steam
    state: present
  become: yes
# Install Minecraft
- name: Download Minecraft Launcher
  unarchive:
    src: https://launcher.mojang.com/download/Minecraft.tar.gz
    dest: '{{ executable_temp_dir }}'
    remote_src: true
    creates: '{{ executable_temp_dir }}/minecraft-launcher/'
    mode: 0755
- name: Ensure "~/Applications" folder
  file:
    state: directory
    path: '{{ansible_env.HOME}}/Applications'
- name: Copy minecraft-launcher to ~/Applications
  copy:
    src: '{{ executable_temp_dir }}/minecraft-launcher/minecraft-launcher'
    dest: '{{ansible_env.HOME}}/Applications/minecraft-launcher'
- name: Create .desktop shortcut for minecraft-launcher
  copy:
    src: files/minecraft.desktop
    dest: /usr/share/applications/minecraft.desktop
  become: yes
